# Editeur PDF

Logiciel d'édition de fichier PDF libre pouvant être hébergé sur un hébergeur de site statique.

## Introduction

Le logiciel est en version alpha et donc ne fonctionne pas actuellement. Le but étant surtout d'écrire dans un premier temps des spécifications.

## TODO

- Ajouter des fonctionnalités pour la partie « métadonnées »
    - [ ] Pouvoir lire les métadonnées
    - [ ] Pouvoir ajouter une métadonnée
    - [ ] Pouvoir supprimer une métadonnée
- Ajouter des fonctionnalités pour la partie « réorganiser »
    - [ ] Pouvoir supprimer une page
    - [ ] Pouvoir réordonner les pages
    - [ ] Pouvoir pivoter les pages
    - [ ] Pouvoir télécharger une page
    - [ ] Pouvoir ajouter un PDF en plus
- Ajouter des fonctionnalités pour la partie « modifer »
    - [ ] Pouvoir ajouter/supprimer/déplacer un favicon
    - [ ] Pouvoir ajouter/supprimer/déplacer une image
    - [ ] Pouvoir ajouter/supprimer/déplacer du texte
    - [ ] Pouvoir ajouter/supprimer/déplacer un dessin
- [ ] Pouvoir télécharger le fichier
- [ ] Rendre le site léger coté Javascript (minification, suppression du code non utilisé)
- [ ] Déployer automatiquement sur https://pdf.weko.io
- [x] Rendre le site multi-langue
- [x] Afficher le fichier PDF dans une _modal_
- [x] Rendre le site léger coté CSS (minification, suppression du code non utilisé)
- [x] Ajout une interface pour sélectionner un fichier

## Inspiration

Le logiciel est grandement inspiré de l'outil [signaturepdf](https://github.com/24eme/signaturepdf) réalisé par la société coopérative et participative [« 24ème »](https://www.24eme.fr/). 

## Technologies

Le projet utilise :
- [Hugo](https://gohugo.io/) pour la génération du site statique ainsi que son déploiement
- [Bootstrap](https://getbootstrap.com/) pour le design du site (MIT)
- [PDF.js](https://mozilla.github.io/pdf.js/) pour le rendu des PDFs (Apache-2.0)

## License

Logiciel libre sous license AGPL V3
